Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002741 [JEDI VCL] 00 JVCL Components major always 2005-03-10 14:38 2005-04-12 03:28
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002741: TJvFontComboBox loads very slowly: GetFonts is called 4 times
Description The GetFonts method of the TJvFontComboBox is called 4 times when a combo is dropped on a form:
1. On SetParent
2. On SetParent if in a panel
3. On SetOptions
4. On Loaded

Also there is not BeginUpdate-EndUpdate
This behaviour makes a form with 4 combo boxes load VERY slowly. There must be a way to make a global BeginUpdate-EndUpdate. For example, a property Active which is initially false and the user can set it to true once the combo is fully loaded so that the Fonts are only loaded once!!!
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006679)
user72
2005-03-10 14:51

You are welcome to implement a working suggestion and post here. That would probably be the fastest way of getting it fixed.
(0006695)
user72
2005-03-13 12:53

I've made some changes (in CVS) that should only call GetFonts once with normal use (i.e drop on form or create at run-time).

I've also added a pair of BeginUpdate/EndUpdate methods that you can call in code so you can make multiple updates without triggering GetFonts every time.

Try it out and let me know if you have any problems.
(0006931)
obones (administrator)
2005-04-12 03:28

No answers in the past three weeks, this is considered to be resolved.
Should that not be the case, please post a new issue.

- Issue History
Date Modified Username Field Change
2005-03-10 14:38 anonymous New Issue
2005-03-10 14:51 user72 Note Added: 0006679
2005-03-10 14:51 user72 Status new => feedback
2005-03-13 12:53 user72 Note Added: 0006695
2005-04-12 03:28 obones Status feedback => resolved
2005-04-12 03:28 obones Resolution open => fixed
2005-04-12 03:28 obones Assigned To => obones
2005-04-12 03:28 obones Note Added: 0006931


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker